firebird2.5 (2.5.3.26778.ds4-5+deb8u1) jessie-security; urgency=high

  * Add two commits from upstream fixing authenticated remote code execution
    (CVE-2017-6369 / CORE-5474)
    (Closes: #858641)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 25 Mar 2017 10:08:00 +0000

firebird2.5 (2.5.3.26778.ds4-5) unstable; urgency=high

  * Apply patch from upstream revision 60322 fixing server crash (NULL-pointer
    dereference) with specially crafter service packet. Closes: #772880

 -- Damyan Ivanov <dmn@debian.org>  Fri, 12 Dec 2014 19:38:13 +0000

firebird2.5 (2.5.3.26778.ds4-4) unstable; urgency=medium

  * add patch from upstream adding proper support for ppc64el
    Avoids misreporting endianness on ppc64el, which would break transmitting
    data between ppc64el and other architectures.
    Thanks to marius popa for reporting and upstream implementation.
    Closes: #769161

 -- Damyan Ivanov <dmn@debian.org>  Fri, 14 Nov 2014 21:02:54 +0000

firebird2.5 (2.5.3.26778.ds4-3) unstable; urgency=medium

  * add patch tightening fb_guard lock file permissions (Closes: #767497)
    Thanks to Holger Levsen
  * -super.postinst: tighten permissions on existing fbguard lock file
  * declare conformance with Policy 3.9.6

 -- Damyan Ivanov <dmn@debian.org>  Sat, 01 Nov 2014 22:27:16 +0000

firebird2.5 (2.5.3.26778.ds4-2) unstable; urgency=medium

  * fix arm64 build by uncommenting one more place where arm64 support is
    described

 -- Damyan Ivanov <dmn@debian.org>  Wed, 30 Jul 2014 07:52:59 +0000

firebird2.5 (2.5.3.26778.ds4-1) unstable; urgency=medium

  * Imported Upstream version 2.5.3.26778.ds4
    + drop 10 patches applied/released upstream
    + refresh 5 patches to apply without offsets
    + reduce the arm64 patch to the parts enabling arm64 builds
      other parts are upstream
    + debian/copyright: add builds/posix/prefix.linux_arm64
    + update symbol files (added isc_sqlcode_s@Base 2.5.3.26778.ds4)
  * do not fail server installation if unable to set the admin password
    (Closes: #756212 -- firebird2.5-super: fails to install with firewalled
    localhost)
  * -server-common.postinst: move_log_files: use -exec instead of -execdir
    (Closes: #754888 -- -server-common installation fails with '.' in $PATH)
  * add Polish debconf translation by Magdalena Zofia Kubot (Closes: #728926)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 28 Jul 2014 10:49:33 +0300

firebird2.5 (2.5.2.26540.ds4-15) unstable; urgency=medium

  * logrotate: add su option
  * -server-common.postinst: move existing log files from /var/log to
    /var/log/firebird

 -- Damyan Ivanov <dmn@debian.org>  Thu, 19 Jun 2014 10:18:28 +0300

firebird2.5 (2.5.2.26540.ds4-14) unstable; urgency=medium

  * control: apply wrap-and-sort -s -t
  * move adduser dependency from -server-common to individual server packages
  * drop conflict relations with 2.0 packages not present in oldstable
  * -server-common: change shell of the automatically created firebird user to /bin/false
  * put server log file under /var/log/firebird
    Removes the need to create the log file after rotation
    Closes: #751216 -- /etc/cron.daily/logrotate complains about unknown user
    'firebird'

 -- Damyan Ivanov <dmn@debian.org>  Tue, 17 Jun 2014 22:57:09 +0300

firebird2.5 (2.5.2.26540.ds4-13) unstable; urgency=medium

  * -server-sommon.postinst: drop the --shell option when invoking adduser
  * move firebird account creation implementation from -server-common.postinst
    to functions.sh
  * move creation of firebird user from -server-common.postinst to individual
    server packages
    Closes: #749619 -- upgrading libreoffice creates a new "firebird" system
    user. Thanks to Russ Allbery for the detailed bug report.

 -- Damyan Ivanov <dmn@debian.org>  Wed, 28 May 2014 23:03:31 +0300

firebird2.5 (2.5.2.26540.ds4-12) unstable; urgency=medium

  * update link_atopic_ops.patch to link with atomic_ops library on hppa too.
    Thanks to John David Anglin (Closes: #748481)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 17 May 2014 23:44:51 +0300

firebird2.5 (2.5.2.26540.ds4-11) unstable; urgency=medium

  * add patch adding missing prefix.linux_arm64 file
  * declare conformance with Policy 3.9.5 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 15 May 2014 13:15:28 +0300

firebird2.5 (2.5.2.26540.ds4-10) unstable; urgency=medium

  * add patch from upstream revision 58859 adding ARM64 support
    + refresh patches to apply cleanly
  * fix a spelling error in gpre.pod
  * add a patch fixing a couple of spelling mistakes in gpre help and
    client/server error messages

 -- Damyan Ivanov <dmn@debian.org>  Tue, 22 Apr 2014 14:49:09 +0300

firebird2.5 (2.5.2.26540.ds4-9) unstable; urgency=medium

  * add patch fixing ICU symbol finding / library loading with ICU 52.1
    Closes: #732000 -- Unicode collations not available with ICU 52.1

 -- Damyan Ivanov <dmn@debian.org>  Mon, 16 Dec 2013 12:08:23 +0200

firebird2.5 (2.5.2.26540.ds4-8) unstable; urgency=low

  * servers' .postrm: move debhelper hook before checking whether we are the
    last server package. Otherwise the check fails and we never purge the
    security/password files.
    (Closes: #727310)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 31 Oct 2013 23:10:50 +0200

firebird2.5 (2.5.2.26540.ds4-7) unstable; urgency=low

  * parallel-build: serialise build_file calls in Makefile.msgs
  * parallel-build: make serialisation lock attempts not to time out

 -- Damyan Ivanov <dmn@debian.org>  Sat, 12 Oct 2013 11:11:42 +0300

firebird2.5 (2.5.2.26540.ds4-6) unstable; urgency=low

  * parallel-build: sequence any build-time engine code
    hopefuly this avoids all problems parallel-building on kfreebsd

 -- Damyan Ivanov <dmn@debian.org>  Fri, 11 Oct 2013 23:09:52 +0300

firebird2.5 (2.5.2.26540.ds4-5) unstable; urgency=low

  * parallel-build.patch: avoid simultaneous execution of gpre
    Fixes FTBFS on kfreebsd, whose build daemons enable parallel building
    + Add procmail to build-dependencies for the 'lockfile' binary

 -- Damyan Ivanov <dmn@debian.org>  Thu, 10 Oct 2013 16:24:43 +0300

firebird2.5 (2.5.2.26540.ds4-4) unstable; urgency=low

  * remove system databases on purge, unconditionally (Closes: #717902)
  * -common.postrm: also remove rotated logfiles
  * add NEWS.Debian entry about the unconditional removal of security database
  * servers .postrm: remove empty /etc/firebird/$FB_VER on purge
  * servers .postinst: gracefully handle disabled service via policy-rc.d
    (Closes: #719584)
  * servers .postrm set -x when DEBIAN_FIREBIRD_DEBUG is in the environment
  * rules: add support for parallel=N in DEB_BUILD_OPTIONS
    Thanks Aron Xu for the patch. Closes: #723581
  * make libfbclient2-dbg M-A:same

 -- Damyan Ivanov <dmn@debian.org>  Mon, 23 Sep 2013 15:31:31 +0300

firebird2.5 (2.5.2.26540.ds4-3) unstable; urgency=low

  * rules: dump configuration from generated fb_config
  * pass --with-fblib to configure to make fb_config match reality
  * add forgotten #710169 closer in -2
  * enable the server by default, but listen only to localhost (Closes: 702971)
  * fix two typos in Bulgarian debconf translation

 -- Damyan Ivanov <dmn@debian.org>  Tue, 23 Jul 2013 17:43:36 +0300

firebird2.5 (2.5.2.26540.ds4-2) unstable; urgency=low

  * Promote firebird-dev's suggestion of libfbembed2.5 to a hard dependency to
    guarantee that the libfbembed.so symlink is not broken. Closes: #715064
  * ship fb_config in firebird-dev. Closes: #717098
  * fix Vcs-* fields, thanks lintian
  * drop unused lintian overrides about missing fortified functions
  * Standards-Version: 3.9.4
  * libfbembed2.5/description:
    + drop false note about libfbembed not being thread-safe
    + drop false note about libfbembed needing separate lock manager
  * fix typo in -common-doc description. Thanks to Lee Cremeans.
    Closes: #710169

 -- Damyan Ivanov <dmn@debian.org>  Tue, 23 Jul 2013 00:53:06 +0300

firebird2.5 (2.5.2.26540.ds4-1) unstable; urgency=low

  * Official 2.5.2 release
    + CORE-3912: segfault in superclassic (Closes: #693192)
    + Restored the on-disk-structure compatibility with 2.5.1 index keys
      (Closes: #693193)
    + Fixed broken (working as no-op) sweep in SuperServer (Closes: #693195)
    + CORE-3902: Derived fields may not be optimized via an index
      (Closes: #693196)
    + CORE-3895: High memory usage when PSQL code SELECT's from stored
      procedure which modified some data (Closes: #693202)
    + CORE-3238: GEN_UUID returns a non-RFC-4122-compliant UUID
      (Closes: #693207)
    + CORE-3887: CHAR_TO_UUID and UUID_TO_CHAR works different in big endian
      architectures (Closes: #693209)
    + Enabled per-table runtime stats for sweeper
    + Changes not concerning Debian
      - CORE-3786: Hangs on MacOSX 10.7 (Lion) on DB create after reboot
      - CORE-3911: API entrypoints Bopen and BLOB_open are not visible on Darwin
      - CORE-3740: SELECT using IN list with >413 elements causes crash on Mac
        (stack overflow with default stack size)
      - CORE-3740: optimisation bug in GCC on Darwin

  * Update debian/copyright (two new files, no licensing changes)
  * Add NEWS.Debian about incompatible fix in char↔UUID conversion functions

  * drop patches included in the upstream release:
    + upstream/r54702-cve-2012-5529.patch
    + upstream/r57728-cve-2013-2429.patch
  * refresh separate-file-and-sem-perms.patch to apply cleanly

  * Patches taken from upstream SVN
    + r57516r57773-gbak-y-redirection.patch
      make gbak -y work with redirection again (regression from 2.5.1)
      http://tracker.firebirdsql.org/browse/CORE-3995
    + r57707r57710-lots-autonomous-trx-leaks-crash.patch
      fix engine crash/memory leak with many autonomous transactions (remote
      crash/memory leak)
      http://tracker.firebirdsql.org/browse/CORE-3908
    + r57349-bad-trn-num-logged-during-sweep.patch
      fix invalid transaction counters logged during sweep (trivial fix)
      http://tracker.firebirdsql.org/browse/CORE-3978
    + r57714r57716-fix-isql-edit-command.patch
      fix isql's edit command broken in 2.5.2 (regression from 2.5.1)
      http://tracker.firebirdsql.org/browse/CORE-3990
    + r58004-crash-converting-overscaled-numeric-to-string.patch
      fix engine crash while converting an overscaled numeric to a string
      (remote crash)
      http://tracker.firebirdsql.org/browse/CORE-4093
    + r57795-crash-storing-long-incompressible-data.patch
      fix bugcheck/corruption when storing long uncompressible data (possible
      db corruption)
      http://tracker.firebirdsql.org/browse/CORE-4036
  * add out/crash-create-db-restricted.patch
    fixes a server crash when attempting creation of a database outside of
    allowed paths with firebrd.xonf setting of 'DatabaseAccess' other than
    'Full'

 -- Damyan Ivanov <dmn@debian.org>  Thu, 09 May 2013 16:39:17 +0300

firebird2.5 (2.5.2~svn+54698.ds4-3) unstable; urgency=high

  * Recover lost doc/libfbclient2 -> firebird2.5-common-doc symlink

    In Lenny, all firebird binary packages were shipping their doc/ directory
    with copyright information. Because of the size of that copyright
    information, when firebird2.5 packages were introduced in squeeze, they
    used symlinks to the doc/firebird2.5-common-doc directory, which contained
    a single copy of the copyright file. However, since dpkg won't replace
    directory with a symlink, upgrading libfbclient2 from lenny (2.0) to
    squeeze (2.5) leaves an empty doc/libfbclient2 directory, breaking the
    Policy requirement (12.5) that every binary package ships a copyright
    file.

    The fix implemented in this version is to check if doc/libfbclient2 is an
    empty directory (and not a symlink) and remove it in preinst. If it is a
    directory and is not empty, it is renamed with .dpkg-old extension. This
    gives dpkg way to unpack the shipped symlink.

    Closes: #692948 -- missing copyright file after upgrade from lenny to
    squeeze to wheezy/sid.

    Thanks go to Andreas Beckmann for reporting the issue, Julian Taylor,
    Slávek Banko and Serafeim Zanikolas for helping with the implementation.

 -- Damyan Ivanov <dmn@debian.org>  Fri, 22 Mar 2013 15:11:16 +0200

firebird2.5 (2.5.2~svn+54698.ds4-2) unstable; urgency=high

  * High urgency for upload fixing security issues

  * fix server crash when preparing an empty SQL statement with tracing enabled
    patch taken from upstream revision 54702. Closes: #693210 (CVE-2012-5529)
  * fix remote pre-authentication stack overflow in firebird server
    patch taken from upstream revision 57728. Closes: #702736 (CVE-2013-2429)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 18 Mar 2013 17:23:50 +0200

firebird2.5 (2.5.2~svn+54698.ds4-1) unstable; urgency=low

  * Snapshot from upstream's 2.5.2 tag, revision 54698. Still not the official
    release, but very close
    + CORE-3860: Trace API: Faulty database filter crashes server
    + CORE-3875: GBak does not check correctly parameters and backups random
      database with -b ":"
    + CORE-3879: Make fb_lock_print a bit more handy
    + CORE-3656: Support for sweep information in Trace API
    + CORE-2668: Write note into log when automatic sweep is started

  * out/hardening.patch: add one more hunk for the new additions in
    fb_lock_print

 -- Damyan Ivanov <dmn@debian.org>  Sat, 30 Jun 2012 15:26:05 +0300

firebird2.5 (2.5.2~svn+54658.ds4-1) unstable; urgency=low

  * Snapshot from upstream's 2.5 branch, revision 54658
   + Optimizer level solution for CORE-2709/CORE-3449: Many indexed reads in a
     compound index with NULLs/Wrong or missing IS NULL optimization
     (regression)
   + CORE-2666: Make it possible to use API to do remote backups/restores
   + Backported fix from 3.0: backup state lock should be released at latch
     timeout, avoiding lock lock state accounting inconsistency
   + CORE-3873: Server crashes while switching to the shadow if the disk I/O
     fault happens while flushing the cache
  * refreshed patches, one hunk of hardenning.patch no longer needed

 -- Damyan Ivanov <dmn@debian.org>  Fri, 29 Jun 2012 14:22:55 +0300

firebird2.5 (2.5.2~svn+54604.ds4-1) unstable; urgency=low

  * Snapshot from upstream's 2.5 branch, revision 54604
   + CORE-3769: The message 'Unknown tag (4) in isc_svc_query() results'
     appears when fbtracemgr is interrupted by Ctrl-C
   + Rolled back the ODS level solution for CORE-2709 as it causes
     cross-version compatibility issues (CORE-3853) as well as functional
     regressions (CORE-3675)
   + isql: fix output if charset is different from locale
   + CORE-3855: Blobs, inserted into GLOBAL TEMPORARY TABLE ON COMMIT DELETE
     ROWS could be placed into newly allocated pages even if there is enough
     free place on some existing data page

 -- Damyan Ivanov <dmn@debian.org>  Thu, 07 Jun 2012 07:14:01 +0300

firebird2.5 (2.5.2~svn+54545.ds4-1) unstable; urgency=low

  * Snapshot from upstream's 2.5 branch, revision 54545
   + Postfix for CORE-3612 - send errors to stderr
   + Fix broken isql history with libedit 3.0
   + CORE-3611: Wrong data while retrieving from CTEs (or derived tables) with
     same column names.
   + CORE-3845: Interruption of 'heavy query' leads to 0 ms (zero duration) in
     its statistics in trace log

  * add lintian overrides about hardenning false positives

 -- Damyan Ivanov <dmn@debian.org>  Sat, 26 May 2012 20:48:16 +0300

firebird2.5 (2.5.2~svn+54476.ds4-1) unstable; urgency=low

  * Snapshot from upstream's 2.5 branch, revision 54476
   + CORE-3841: Corrupted database after inserting rows
   + CORE-3844: Validation not detecting one specific case of index corruption
   + Fixed regression in the fix for CORE-3777
   + CORE-3814: SuperClassic server crashes when performing a database
     shutdown with forced writes off
   + CORE-3598: Tracing: add statistics of actions that were after transaction
     finish
   + Trace errors raised by failed ON TRANSACTION ROLLBACK and ON DISCONNECT
     triggers
   + CORE-3539: Tracing: add ability to log errors that occur in runtime
     (lock conflicts, PK/UK/FK violations etc.)

  * drop transitional firebird2.5-dev package

 -- Damyan Ivanov <dmn@debian.org>  Sat, 12 May 2012 15:30:11 +0300

firebird2.5 (2.5.2~svn+54429.ds4-1) unstable; urgency=low

  * Snapshot from upstream's 2.5 branch, revision 54429
   + CORE-3819: Wrong service name to port address resolution in database
     connection string
   + CORE-3825: If an autocommit transaction (i.e. transaction started with
     isc_tpb_autocommit option) run DDL using EXECUTE STATEMENT it will
     produce a bugcheck 287 (Too many savepoints)
   + CORE-3834: Usage of a NATURAL JOIN with a derived table crashes the
     server

  * fix libib-util lintian override tor multi-arch
    Closes: #670008 -- arch-dependent files in multiarch: same package
    Thanks to Julien Cristau for the report and fix hint

 -- Damyan Ivanov <dmn@debian.org>  Wed, 02 May 2012 22:37:46 +0300

firebird2.5 (2.5.2~svn+54376.ds4-2) unstable; urgency=low

  * fix typo in -server-common.postrm/purge. Closes: #668711. Thanks to
    Andreas Beckmann

 -- Damyan Ivanov <dmn@debian.org>  Mon, 16 Apr 2012 16:45:32 +0300

firebird2.5 (2.5.2~svn+54376.ds4-1) unstable; urgency=low

  * -server-common.postrm: remove directories under /var/lib only if they
    exist (Closes: #668378)

  * Snapshot from upstream's 2.5 branch, revision 54376
   + CORE-3812: Connection lost to database during massive dropping and
     altering primary keys of tables
   + Check result of a fstat() call even if it is unlikely to fail
   + Additional fix for CORE-3807. Otherwise, _utf8 'A' is considered equal to
     _win1251 'ABCD'

 -- Damyan Ivanov <dmn@debian.org>  Fri, 13 Apr 2012 18:16:14 +0300

firebird2.5 (2.5.2~svn+54342.ds4-1) unstable; urgency=low

  * Snapshot from upstream's 2.5 branch, revision 54342
   + More clear explanation of GCPolicy setting in firebird.conf
   + CORE-3686: Incorrect (zero) values are reported for "acquire blocks" and
     "mutex wait" counters in the fb_lock_print output
   + CORE-3810 : isql: zero divide + coredump when use "-pag 0" command switch
     and 'set heading on' inside .sql script
   + Reverted the lock manager optimization due to regressions. A better
     solution is researched

 -- Damyan Ivanov <dmn@debian.org>  Wed, 11 Apr 2012 11:37:00 +0300

firebird2.5 (2.5.2~svn+54315.ds4-1) unstable; urgency=low

  * postrm: drop -p when calling rmdir to remove the run directory
    -p is really not needed, since the run directory is under /var/run and
    it is not our job to remove that. Instead, remove /var/run/firebird/$VER
    and /var/run/firebird. Thanks to Andreas Beckman. (Closes: #667067)
  * remove /var/run/firebird/$VER/system and its parents up to /var/lib on purge

  * Snapshot from upstream's 2.5 branch, revision 54315
   + CORE-3791: Performance degrades when actively working with databases
     bigger than the available RAM amount
   + Optimized the shared counter generator to avoid LM calls if there's no
     contention on the protecting lock
   + CORE-3770: fbtracemgr loads CPU up to ~55% when no activity is present
   + Updated list of bugfixes in WhatsNew
   + CORE-3799: 'with caller privileges' option doesn't work with autonomous
     transaction option
   + CORE-3801: Warnings could be put twice in status-vector
   + CORE-3802: Firebird runs out of memory while restoring database backup
   + CORE-3806: Wrong data returned if a sub-query or a computed field refers
     to the base table in the ORDER BY clause
   + CORE-3807: Error "Invalid expression in the select list" can be
     unexpectedly raised if a string literal is used inside a GROUP BY clause
     in a multi-byte connection

 -- Damyan Ivanov <dmn@debian.org>  Fri, 06 Apr 2012 08:17:06 +0300

firebird2.5 (2.5.2~svn+54226.ds4-1) unstable; urgency=low

  * Snapshot from upstream's 2.5 branch, revision 54226
   + Undo patch for CORE-3468
   + Postfix for AV due to CORE-3649
   + CORE-1992: bad BLR -- invalid stream for union select
   + CORE-3092: ROW_COUNT is not cleared before the singleton INSERT statement
   + CORE-3625: MON$IO_STATS doesn't report page writes performed
     asynchronously (at the AST level)
   + CORE-3569: CHAR(32767) present in XSQLVAR with length 32765
   + CORE-2286: Selecting from MON$CALL_STACK within a Trigger or SP sometimes
     return 0 rows
   + CORE-3721: Multiuser server startup (/etc/init.d) script picks up the
     ISC_ variables if set
   + CORE-3777: Conversion error from string when using GROUP BY
   + CORE-3649: gbak deletes backup file even if error happens when it's
     already successfully closed
   + CORE-3762: gsec returns 0 return code on some errors
   + CORE-2457 - UNICODE_CI internal gds software consistency check
   + CORE-1997 - Broken foreign key handling for multi-segmented index using
     multi-level collations
   + CORE-3778 : AV at connection shutdown
   + CORE-3761: Conversion error when using a blob as an argument for the
     EXCEPTION statement
   + CORE-3750: Error increasing limits on posix

  * use xz compression when repackaging upstream
  * declare -common and -common-doc as Multi-Arch: foreign
  * libfbembed2.5 can't be Multi-Arch: same, since -server-common can't be
    Multi-Arch yet
  * -super/classic.init: unset ISC_USER/PASSWORD to ensure clean server
    startup environment
  * add patch making intermediate binaries be built with hardening flags
    (passed via the environment). While not strictly necessary, this reduced
    false positives when grepping the build logs. Thanks to Simon Ruderich,
    Closes: #663914
  * refresh patches to apply without offsets
  * Standards-Version: 3.9.3 (no changes needed)
  * rules: compress binary packages with xz

 -- Damyan Ivanov <dmn@debian.org>  Thu, 29 Mar 2012 12:55:18 +0300

firebird2.5 (2.5.2~svn+53897.ds4-1) unstable; urgency=low

  * Snapshot from upstream's 2.5 branch, revision 53897
    Fixes:
    + CORE-3736: WITH LOCK clause is allowed for users with read-only
      rights on some table, thus blocking others from updating the table
    + CORE-3733: GBAK fails to fix system generators while restoring
    + hopefuly fixes CORE-3730: isc_dsql_exec_immed2() loses input parameter
      value with RETURNING clause.
    + CORE-3732: Segfault when closing attachment to database
    + CORE-3599: Possible drop role RDB$ADMIN

  * copyright: update upstream source locations and years of debian/*
    copyright

 -- Damyan Ivanov <dmn@debian.org>  Mon, 23 Jan 2012 20:22:11 +0200

firebird2.5 (2.5.2~svn+53854.ds4-1) unstable; urgency=low

  * Snapshot from upstream's 2.5 branch, revision53854
   + includes support for CPPFLAGS. Closes: #654793 -- hardening flags not
     fully applied. Thanks to Moritz Muehlenhoff and Alex Peshkoff.
   + update debian/copyright

  * rules: declare build-arch as phony
  * rules: convert build-super-and-classic phony target to a -stamp target

 -- Damyan Ivanov <dmn@debian.org>  Fri, 13 Jan 2012 09:11:37 +0200

firebird2.5 (2.5.2~svn+53775.ds4-1) unstable; urgency=low

  * Snapshot from upstream's 2.5 branch, revision 53775
  * control: note -doc doesn't contain release notes (LP#908963)
  * control: change transitional 2.5-dev package to oldlibs/extra
  * control: -common package is arch:all
    the last arch-specific bit, ibutil was moved to -server-common
  * -classic.init: provide a status option
  * control: 2.5-dev, -classic-common: depend on the same (source) version of
    -common-doc

 -- Damyan Ivanov <dmn@debian.org>  Wed, 28 Dec 2011 15:07:47 +0200

firebird2.5 (2.5.2~svn+53698.ds4-1) unstable; urgency=low

  * Snapshot from Upstream's 2.5 branch, revision 53698
   + drop two patches included upstream
   + refresh the rest to apply cleanly
  * pass buildflags directly to $(MAKE), drop default-optimization.patch
  * move fbintl from -common to -server-common
   + -server-common: break/replace -common
  * Fix typo in -superclassic description. Closes: #652140. Thanks to Daniel
    Hartwig

 -- Damyan Ivanov <dmn@debian.org>  Wed, 21 Dec 2011 14:50:58 +0200

firebird2.5 (2.5.1.26351.ds4-2) unstable; urgency=low

  * add patch from upstream svn r53558 fixing checking for duplicate records
    with NULLs

 -- Damyan Ivanov <dmn@debian.org>  Thu, 13 Oct 2011 14:41:53 +0300

firebird2.5 (2.5.1.26351.ds4-1) unstable; urgency=low

  * watch: remove trailing -0 from upstream version
    it adds no value and only makes the already long version longer
  * watch: prefer release download area to prerelease one
    in case the same file name is available from both, we want to use the
    one from the release area

  * New upstream stable release
  * copyright: four new assumed-PD files
  * patchworks:
    + drop svn/r53460-poll_vs_alarm.patch (modified version released)
    + refresh separate-file-and-sem-perms.patch to apply without line offsets
  * control: fis libfbclient2 long description to refer to libfbclient2.5, not
    2.1

 -- Damyan Ivanov <dmn@debian.org>  Tue, 11 Oct 2011 12:43:56 +0300

firebird2.5 (2.5.1.26349-0~rc1.ds4-7) unstable; urgency=low

  * build-depend on dpkg-dev 1.16.1 for --export=configure

 -- Damyan Ivanov <dmn@debian.org>  Sat, 01 Oct 2011 11:59:46 +0300

firebird2.5 (2.5.1.26349-0~rc1.ds4-6) unstable; urgency=low

  * add patch from svn fixing duplicate keys insert into unique column
  * add a patch fixing compilation with hardening flags

 -- Damyan Ivanov <dmn@debian.org>  Sat, 01 Oct 2011 08:54:29 +0300

firebird2.5 (2.5.1.26349-0~rc1.ds4-5) unstable; urgency=medium

  * Medium urgency for fixing a serious bug in testing

  * Import a patch from upstream SVN fixing problems in poll() usage when
    process receives signals like SIGALRM.
    Closes: #642555 -- segfault in the remote interface when using alarm() in
    the client program

 -- Damyan Ivanov <dmn@debian.org>  Sat, 24 Sep 2011 14:12:19 +0300

firebird2.5 (2.5.1.26349-0~rc1.ds4-4) unstable; urgency=low

  * -server-common.postrm: remove RUN directory only if existing

 -- Damyan Ivanov <dmn@debian.org>  Tue, 13 Sep 2011 10:01:26 +0300

firebird2.5 (2.5.1.26349-0~rc1.ds4-3) unstable; urgency=low

  * rename firebird2.5-dev to firebird-dev
   + keep firebird2.5-dev as a transitional package
   + break/replace/provide old firebird{2.1,2.5}-dev, which are now
     transitional packages depending on firebird-dev
   + This is supposed to be the last rename of the firebird development
     package. The API is supposed to always be backwards compatible (and this
     was the case for the last 10 years).
   + -examples: recommend firebird-dev instead of firebird2.5-dev
  * make firebird-dev require the exact same version of libfbclient2
  * ship fbintl with .so extension and not executable
  * replace pointer to 'GPL' with a pointer to the exact meant version
    of the license

 -- Damyan Ivanov <dmn@debian.org>  Mon, 12 Sep 2011 15:18:53 +0300

firebird2.5 (2.5.1.26349-0~rc1.ds4-2) unstable; urgency=low

  * put libfbclient2 debug symbols in their own package
    this allows debugging binaries, linked with libfbclient2, while still
    having firebird2.5-classic installed
  * -server-common.postrm: remove $RUN
    makes piuparts tests succeed again
  * drop lintian overrides about -common-doc by rewording the description
    Closes: #636946. Thanks to Niels Thykier
  * do not fail creating existing firebird user (Closes: #626819)
  * provide mandatory build-{arch,indep} targets. thanks, lintian

 -- Damyan Ivanov <dmn@debian.org>  Fri, 09 Sep 2011 18:15:35 +0300

firebird2.5 (2.5.1.26349-0~rc1.ds4-1) unstable; urgency=low

  * New upstream release candidate
   + watch: force lowercase version and put ~ before non-digit
   + copyright: change the URL of the IPL
   + copyright: update (one new file)
   + refresh no-spurious-linkage.patch to apply cleanly

  * note in doc-base that Firebird_conf.txt is compressed
  * eable multiarch support
  * replace dh_clean -k with dh_prep
  * rules: add build-arch and build-indep targets
  * drop unneeded override about files in depended on package
  * shorten -classic-common short description

 -- Damyan Ivanov <dmn@debian.org>  Wed, 07 Sep 2011 20:07:41 +0300

firebird2.5 (2.5.1~svn+52909.ds4-1) experimental; urgency=low

  * New upstream SVN snapshot from the B2_5_Release branch
  * Drop patches applied upstream:
    allow-older-libtool
    atomic_ops_require_cas
    fix-mipseb-detect
    powerpc-no-mcpu
    sparc-no-m32
  * drop fix_kfreebsd_amd64_miscompile.patch
  * refresh separate-file-and-sem-perms.patch
  * Add Danish translation of Debconf templates. Thanls to Joe Dalton.
    Closes: #624667
  * drop Conflicts with packages not in oldstable
  * remove explicit conflicts with firebird2.1 servers

 -- Damyan Ivanov <dmn@debian.org>  Wed, 11 May 2011 21:05:14 +0300

firebird2.5 (2.5.1~svn+52789.ds4-1) experimental; urgency=low

  * New upsram SVN snapshot of the B2_5_Release branch
   + includes a fix for a problem with unicode collations

  * pack-upstream-snapshot: use shorter version
    this helps keeping the package file name not too long
    see #620831
  * update debian/copyright
  * patchworks
   + adapt no-spurious-linkage.patch and parallel-build.patch to apply
   + fix no-spurious-linkage.patch so that it works with gcc-4.5 linker
   + refresh link_aromic_ops and separate-file-and-sem-perms to apply cleanly
   + link fbtrace with ICU and libpthreads
  * drop lintian overrides about manpages in dependency packages
  * relax a bit shlibs version requirements so that package can satisfy it
    (thanks, lintian)
  * claim conformance with Policy 3.9.2

 -- Damyan Ivanov <dmn@debian.org>  Fri, 22 Apr 2011 21:30:10 +0300

firebird2.5 (2.5.1~svn20110210r52328.ds4-1) experimental; urgency=low

  * Upstream snapshot from the B2_5_Release branch

  * add a script for packaging snapshots of upstream Subversion
    repository
  * remove alternative dependency on cdebconf
  * repack.sh: tolerate missing items to remove
  * add debian/gbp.conf

  * Patchworks:
   + remove patches applied upstream: s390_targets, port-alpha-hppa
   + refresh the rest to apply cleanly
   + update no-spurious-linkage.patch making gfix link to pthreads
     fixes a build problem in Ubuntu Natty, thanks to marius adrian popa

 -- Damyan Ivanov <dmn@debian.org>  Tue, 15 Feb 2011 23:48:10 +0200

firebird2.5 (2.5.0.26074-0.ds4-5) unstable; urgency=low

  * watch: protect against 'ReleaseCandidate' in versions
  * add a patch from upstream SVN fixing loading of ICU routines
  * disable fix_kfreebsd_amd64_miscompile.patch
  * link fbtrace with ICU and libpthreads
  * drop lintian overrides about manpages in dependency package
  * claim conformance to Policy 3.9.2

 -- Damyan Ivanov <dmn@debian.org>  Sat, 23 Apr 2011 11:14:47 +0300

firebird2.5 (2.5.0.26074-0.ds4-4) unstable; urgency=low

  * remove alternative dependency on cdebconf
  * no-spurious-linkage.patch: link all executables with pthreads.
    yes, this introduces a couple of warnings about needless linking, but
    is the easiest way to fix the missing pthreads linkage in most of the
    executables (closes: #618104)
  * remove Daniel Urban from Uploaders

 -- Damyan Ivanov <dmn@debian.org>  Tue, 15 Mar 2011 08:12:36 +0200

firebird2.5 (2.5.0.26074-0.ds4-3) unstable; urgency=low

  * upload to unstable

 -- Damyan Ivanov <dmn@debian.org>  Wed, 09 Feb 2011 22:42:59 +0200

firebird2.5 (2.5.0.26074-0.ds4-2) experimental; urgency=low

  * update and activate port-hppa-alpha.patch
    Closes: #565762, #565861

 -- Damyan Ivanov <dmn@debian.org>  Fri, 15 Oct 2010 16:54:39 +0300

firebird2.5 (2.5.0.26074-0.ds4-1) experimental; urgency=low

  * New upstream release
    no source changes since 2.5.0.26074~unofficial

  * debian/repack.sh:
    + restore removal of source-less PDF files in doc/
    + restore removal of generated autotools files
    + bump dsX version
  * debian/watch: avoid mangling official releases
  * README.Debian: add a note about missing PDF documentation

 -- Damyan Ivanov <dmn@debian.org>  Mon, 04 Oct 2010 17:15:16 +0300

firebird2.5 (2.5.0.26074~unofficial.ds3-3) experimental; urgency=low

  * add firebird2.5-{super,classic}-dbg packages
  * rules: make parallel-buildable

 -- Damyan Ivanov <dmn@debian.org>  Wed, 29 Sep 2010 14:55:13 +0300

firebird2.5 (2.5.0.26074~unofficial.ds3-2) experimental; urgency=low

  * add sparc-no-m32.patch

 -- Damyan Ivanov <dmn@debian.org>  Sat, 25 Sep 2010 15:29:12 +0300

firebird2.5 (2.5.0.26074~unofficial.ds3-1) experimental; urgency=low

  * New upstream snapshot from the R2_5_0 tag at revision 51557
    + copyright: drop one file removed upstream

  * *.init: do not fail when no command is given on the command line
    since we run under 'set -u', the check for "$1" should be protected
    with "${1:-}". Closes: #578471
  * repack: adapt to unofficial 2.5.0 release
  * adopt '3.0 (quilt)' source format; set some local-options

 -- Damyan Ivanov <dmn@debian.org>  Fri, 17 Sep 2010 17:07:38 +0300

firebird2.5 (2.5.0.26054~ReleaseCandidate3.ds2-1) unstable; urgency=low

  * New upstream release candidate

  * update d/copyright to reflect changes in upstream sources
  * drop patches applied/implemented upstream
    + refresh the rest to apply cleanly
  * Standards-Version: 3.9.1 (no changes necessary)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 27 Jul 2010 18:12:34 +0300

firebird2.5 (2.5.0.25920~ReleaseCandidate2.ds2-8) unstable; urgency=low

  * add a patch fixing miscompilation on powerpcspe
    Thanks to Sebastian Andrzej Siewior (Closes: #586254)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 17 Jun 2010 21:34:06 +0300

firebird2.5 (2.5.0.25920~ReleaseCandidate2.ds2-7) unstable; urgency=low

  * install libfbtrace.so in -server-common (Closes: #585478)
  * add "Language" header to all translations (by debconf-updatepo)
  * rules/clean: remove -superclassic.{config,templates} too

 -- Damyan Ivanov <dmn@debian.org>  Tue, 15 Jun 2010 14:50:35 +0300

firebird2.5 (2.5.0.25920~ReleaseCandidate2.ds2-6) unstable; urgency=low

  * steal gbak-output-stderr.patch from upstream CVS
  * -super*.init: really do nothing when the package is removed

 -- Damyan Ivanov <dmn@debian.org>  Fri, 14 May 2010 11:31:16 +0300

firebird2.5 (2.5.0.25920~ReleaseCandidate2.ds2-5) unstable; urgency=low

  * rules: export FIREBIRD_LOCK=debian/tmp-lock during build
    Closes: 575564 -- please set FIREBIRD_LOCK to a location in the package
    build directory. Thanks to Modestas Vainius
  * override lintian about -common-doc being an empty package
    + override lintian about the empty package override being unused

 -- Damyan Ivanov <dmn@debian.org>  Mon, 12 Apr 2010 15:33:39 +0300

firebird2.5 (2.5.0.25920~ReleaseCandidate2.ds2-4) unstable; urgency=high

  * add fix_kfreebsd_amd64_miscompile.patch by Modestas Vainius, working around
    a g++ miscompilation bug with -fipa-reference (-O1 or higher) on
    kfreebsd/amd64
    Closes: #565801 (FTBFS on kfreebsd-amd64), high urgency
  * Mirror prefix.freebsd changes in no-rpath.patch and
    freebsd_targets.patch to prefix.freebsd_amd64
    Again, thanks to Modestas Vainius

 -- Damyan Ivanov <dmn@debian.org>  Mon, 29 Mar 2010 13:40:58 +0300

firebird2.5 (2.5.0.25920~ReleaseCandidate2.ds2-3) unstable; urgency=high

  * *.postrm: protect db_input calls with || true as we don't want to fail when
    a debconf question is skipped.
    Closes: #574195, #574213, #574224 (purge fails with Noninteractive debconf
    frontend and critical priority; -super, -classic and -superclassic)
    + high urgency for a release fixing serious bugs
  * watch: improved matching of prerelease tarballs

 -- Damyan Ivanov <dmn@debian.org>  Wed, 17 Mar 2010 14:10:08 +0200

firebird2.5 (2.5.0.25920~ReleaseCandidate2.ds2-2) unstable; urgency=low

  * add libib-util to server packages' Recommends
  * fix install_freebsd_as_linux.patch (and kfreebsd build)

 -- Damyan Ivanov <dmn@debian.org>  Fri, 26 Feb 2010 16:02:28 +0200

firebird2.5 (2.5.0.25920~ReleaseCandidate2.ds2-1) unstable; urgency=low

  * New upstream release candidate
    + updates to debian/copyright (nothing drastic)
  * add source lintinan override for weak-library-dev-dependency
  * server config: fix default file location
  * patchworks
    + drop unperspective ibutil-soname.patch
    + drop patches applied upstream:
      - cvs_install-fbtrace.conf.patch
      - freebsd-mutex-sysv.patch
    + updated to apply cleanly:
      - install_freebsd_as_linux.patch
      - separate-file-and-sem-perms.patch
      - optional_posix_fadv.patch
      - fix-kfreebsd_hurd-detection.patch
    + describe link_atomic_ops.patch
    + hunk line numbers updated
  * add a lintian override about weak-library-dev-dependency

 -- Damyan Ivanov <dmn@debian.org>  Fri, 26 Feb 2010 11:24:22 +0200

firebird2.5 (2.5.0.25784~ReleaseCandidate1.ds2-7) unstable; urgency=low

  * link_atomic_ops.patch: link with libatomic_ops on SH4 architectures too.
    Closes: #567732. Thanks to Nobuhiro Iwamatsu.
  * Standards-Version: 3.8.4 (no changes needed)
  * drop -1 debian revision from libatomic-ops-dev build-dependency
  * remove Francesco from Uploaders with his permission.

 -- Damyan Ivanov <dmn@debian.org>  Sun, 31 Jan 2010 15:33:02 +0200

firebird2.5 (2.5.0.25784~ReleaseCandidate1.ds2-6) unstable; urgency=low

  * fix install_freebsd_as_linux.patch on kfreebsd-amd64
  * add atomic_ops_require_cas.patch: instruct atomic_ops.h that we need
    compare_and_swap at any cost
  * build-depend on libatomic-ops-dev 1.2+cvs20091005-1 in order to have a
    fixed one on sparc.
  * -common.postrm: remove log file on purge
  * add link_atomic_ops.patch: link with -latomic_opts on arm and sparc
  * disable no-static-linagek.patch: the C++ support lib is needed on arm

 -- Damyan Ivanov <dmn@debian.org>  Fri, 29 Jan 2010 09:07:13 +0200

firebird2.5 (2.5.0.25784~ReleaseCandidate1.ds2-5) unstable; urgency=low

  * add patches to fix build on kFreeBSD:
    + freebsd-mutex-sysv.patch; makes mutex code use SYSV semaphores for
      mutexes
    + optional_posix_fadv.patch: use advisory posix features only when
      available
    + install_freebsd_as_linux.patch: use linux install makefile on k*BSD
    + freebsd_targets.patch: fixes Makefile targets on kFreeBSD
    + Closes: 565801 - FTBFS on kFreeBSD
  * add s390_targets.patch; fixes makefile targets on s390 and prevents a
    failure to build from source
  * -common: drop Conflicts with previous -common

 -- Damyan Ivanov <dmn@debian.org>  Tue, 19 Jan 2010 08:43:54 +0200

firebird2.5 (2.5.0.25784~ReleaseCandidate1.ds2-4) unstable; urgency=low

  * add libatomic-ops-dev to B-D

 -- Damyan Ivanov <dmn@debian.org>  Mon, 18 Jan 2010 13:48:30 +0200

firebird2.5 (2.5.0.25784~ReleaseCandidate1.ds2-3) unstable; urgency=low

  * -dev: correct ib-util dependency. Thanks, Marius
  * functions.sh: fix unclosed quote. Thanks, Marius

  * Upload to unstable

 -- Damyan Ivanov <dmn@debian.org>  Mon, 18 Jan 2010 00:33:19 +0200

firebird2.5 (2.5.0.25784~ReleaseCandidate1.ds2-2) experimental; urgency=low

  * config: 'enabled' was undefined on the first -super install
    Thanks, Marius for reporting.

 -- Damyan Ivanov <dmn@debian.org>  Thu, 07 Jan 2010 15:23:48 +0200

firebird2.5 (2.5.0.25784~ReleaseCandidate1.ds2-1) experimental; urgency=low

  * new upstream major release candidate. rename source and binary packages
    from firebird2.1 and trim changelog.

  * adapt debian/watch and debian/get-orig-source.sh
  * control/Vcs-*: update location of Git repostiory
  * update debian/copyright for 2.5
    + add a script for chacking debian/copyright for completeness
    + explain repackaging

  * use ./configure switches (new in 2.5) for setting installation directories
    + use directory layout as provided by upstream build system as a source for
      binaries and config files
  * drop patches applied upstream:
    + deprecated-charp-conversion.patch
    + cvs-execute-statement-crash.patch
    + use-libedit.patch
    + port-arm.patch
  * refresh the rest of the patches to apply cleanly
  * add parallel-build.patch
  * reduce local-CFLAGS.patch to a fix in Makefile.in.firebird
  * add add default-optimization.patch
  * add trim-cflags.patch avoiding repetitive compiler flags
  * improve no-spurious-linkage.patch
  * add allow-older-libtool.patch
  * add versioned-log-filename.patch

  * write missing manpages and rewrite stub ones

  * rules: works with -jN
  * spin-off firebird2.5-superclassic package for the new upstream server
    flavour
    + things common to -classic and -superclassic moved to a new,
      -classic-common package
  * add firebird-server, firebird-utils and firebird-udf virtual packages,
    provided and conflicted with by the relevant server/common packages
  * spin-off libib_util into libib-util binary package
  * use fbguard instead of fbmgr for starting super (and superclassic)
  * use one startup file for all flavours
  * add manpages where there was none
    + rewrite stub manpages about gpre and gdef
  * gbak.sgml: document -fix_fss_data and -fix_fss_metadata options

 -- Damyan Ivanov <dmn@debian.org>  Wed, 06 Jan 2010 11:18:17 +0200
